Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.owltable
Interface OWLTableModel

All Superinterfaces:
  SymbolTableModel, TableModel

All Known Implementing Classes:
  AbstractOWLTableModel, ConditionsTableModel, PropertiesDefinitionTableModel, PropertiesSuperclassesTableModel

    public interface OWLTableModel

extends SymbolTableModel

The base TableModel for all OWLTables. This defines those methods that are common to all TableModel implementations (ConditionsTableModel, EquivalentClassesTableModel, SuperclassesTableModel, RestrictionsTableModel, and DisjointClassesTableModel).

Author:
  Holger Knublauch

Method Summary
`int` | `addEmptyRow(int rowIndex)`
`boolean` | `addRow(RDFSClass aClass, int selectedRow)`
`void` | `deleteRow(int index)`
`void` | `displaySemanticError(String message)` Displays an illegal assignment error dialog, e.g.
`void` | `dispose()`
`RDFSClass` | `getClass(int index)`
`int` | `getClassRow(RDFSClass cls)`
`OWLNamedClass` | `getEditedCls()`
`boolean` | `isAddEnabledAt(int rowIndex)`
`boolean` | `isDeleteEnabledFor(RDFSClass cls)`
`boolean` | `isEditable()`
`void` | `removeEmptyRow()`
`void` | `setCls(OWLNamedClass cls)`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.owltable.SymbolTableModel
`getIcon, getPredicate, getRDFResource, getSubject, getSymbolColumnIndex`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, getColumnClass, getColumnCount, getColumnName, getRowCount, getValueAt, isCellEditable, removeTableModelListener, setValueAt`

Method Detail

### addRow

    boolean addRow(RDFSClass aClass,
                   int selectedRow)

### addEmptyRow

    int addEmptyRow(int rowIndex)

### deleteRow

    void deleteRow(int index)

### displaySemanticError

    void displaySemanticError(String message)

  Displays an illegal assignment error dialog, e.g. through a JOptionPane. This can be used if someone tries to assign an illegal superclass to the model.

  Parameters:
    `message` - the message text

### dispose

    void dispose()

### getClass

    RDFSClass getClass(int index)

### getClassRow

    int getClassRow(RDFSClass cls)

### getEditedCls

    OWLNamedClass getEditedCls()

### isAddEnabledAt

    boolean isAddEnabledAt(int rowIndex)

### isDeleteEnabledFor

    boolean isDeleteEnabledFor(RDFSClass cls)

### isEditable

    boolean isEditable()

### removeEmptyRow

    void removeEmptyRow()

### setCls

    void setCls(OWLNamedClass cls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.